%define module_name FB3
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(File/Copy.pm) perl(File/Fetch.pm) perl(File/Path.pm) perl(File/ShareDir.pm) perl(Module/Build.pm) perl(OPC.pm) perl(Test/More.pm) perl(XML/LibXML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: API for manipulating FB3 files
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRIBUSER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use FB3;

  # load FB3 from file
  my $FB3 = FB3->new( from_zip => 'path/to/file.fb3');

  # or load FB3 from directory where it had been unpacked
  my $FB3 = FB3->new( from_dir => 'path/to/unpacked_fb3_dir');

  # navigate through FB3 and read XML content of it's main parts
  $Meta = $FB3->Meta;
  $MetaXML = $Meta->Content;
  $BodyXML = $FB3->Body->Content;

  # get path to cover
  $PathToCover = $FB3->Cover->PhysicalName;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/F*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
* Fri May 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- updated by package builder

* Tue Apr 09 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- updated by package builder

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Sun Nov 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Wed Jul 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon May 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

